/*
@author Efim Konstantinov (wertrix.ek@gmail.com)
*/

#include <iostream>
#include <fstream>
#include <cassert>
#include <string>
#include <vector>
#include <map>
#include <algorithm>

using namespace std;

int main()
{
	ifstream in("discount.in");
	//ofstream out("discount.out");

	int t;
	in >> t;
	assert(t > 0 && t <= 10000);
	while (t--)
	{
		int a, b, c;
		in >> a >> b >> c;
		assert(a >= 1 && a <= 1000000000);
		assert(b >= 1 && b <= 1000000000);
		assert(c >= 1 && c <= 1000000000);
		int maxEl = max(max(a, b), c);
		int minEl = min(min(a, b), c);
		cout << maxEl + minEl << endl;
	}

	return 0;
}