﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Race
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var stream = File.OpenText("smoker.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 10000);

                for (int ti = 0; ti < tn; ti++)
                {
                    var arr = stream.ReadLine().Split(' ');
                    Debug.Assert(arr.Length == 2);

                    var n = int.Parse(arr[0]);
                    Debug.Assert(n >= 2 && n <= 1000 * 1000 * 1000);
                    var k = int.Parse(arr[1]);
                    Debug.Assert(k >= 2 && k <= 1000 * 1000 * 1000);

                    int count = 0;
                    while (n >= k)
                    {
                        var cur = n / k;
                        count += cur;
                        n -= cur * k;
                        n += cur;
                    }

                    Console.WriteLine("{0} {1}", count, n);
                }
            }

        }
    }
}
