﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Race
{
    class Program
    {
        private static string s;
        private static int i;
        private static int n;

        private static bool f()
        {
            if ((s[i] == '0') || (s[i] == '1'))
            {
                return s[i++] == '1';
            }

            string oper = "";
            if (s[i] == 'A')
            {
                Debug.Assert(s[i+1] == 'N');
                Debug.Assert(s[i+2] == 'D');
                oper = "AND";
                i += 3;
            }
            else if (s[i] == 'O')
            {
                Debug.Assert(s[i+1] == 'R');
                oper = "OR";
                i += 2;
            }
            else 
            {
                Debug.Assert(false);
            }

            Debug.Assert(s[i] == '(');
            i++;

            var result = f();
            Debug.Assert(s[i] == ',');

            while (s[i] == ',')
            {
                i++;
                var arg = f();
                if (oper == "AND")
                {
                    result = result && arg;
                }
                else
                {
                    result = result || arg;
                }
            }
            
            Debug.Assert(s[i] == ')');
            i++;

            return result;
         }

        static void Main(string[] args)
        {
            using (var stream = File.OpenText("formula.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 10000);

                for (int ti = 0; ti < tn; ti++)
                {
                    s = stream.ReadLine();
                    Debug.Assert(!string.IsNullOrEmpty(s));
                    Debug.Assert(s.Length <= 1000);

                    i = 0;
                    n = s.Length;
                    Console.WriteLine(f() ? '1' : '0');

                    Debug.Assert(i == n);
                }
            }

        }
    }
}
