/*
@author Efim Konstantinov (wertrix.ek@gmail.com)
*/

#include <iostream>
#include <fstream>
#include <cassert>
#include <string>
#include <vector>
#include <map>
#include <algorithm>

using namespace std;

int main()
{
	ifstream in("smoker.in");
	//ofstream out("smoker.out");

	int t;
	in >> t;
	assert(t > 0 && t <= 10000);
	while (t--)
	{
		int n, k;
		in >> n >> k;
		assert(n >= 2 && k <= 1000000000);
		assert(n >= 2 && k <= 1000000000);
		int count = 0;
		while (n >= k)
		{
			int cur = n / k;
			count += cur;
			n -= cur*k;
			n += cur;
		}
		cout << count << ' ' << n << endl;
	}

	return 0;
}